Updated from libc
[make.git] / glob / configure
blobd82e6dd90961f4be8bf72d4546fe315416b45581
1 #! /bin/sh
3 # Guess values for system-dependent variables and create Makefiles.
4 # Generated automatically using autoconf version 2.1.2
5 # Copyright (C) 1992, 1993, 1994 Free Software Foundation, Inc.
7 # This configure script is free software; the Free Software Foundation
8 # gives unlimited permission to copy, distribute and modify it.
10 # Defaults:
11 ac_help=
12 ac_default_prefix=/usr/local
13 # Any additions from configure.in:
15 # Initialize some variables set by options.
16 # The variables have the same names as the options, with
17 # dashes changed to underlines.
18 build=NONE
19 cache_file=./config.cache
20 exec_prefix=NONE
21 host=NONE
22 no_create=
23 nonopt=NONE
24 no_recursion=
25 prefix=NONE
26 program_prefix=NONE
27 program_suffix=NONE
28 program_transform_name=s,x,x,
29 silent=
30 site=
31 srcdir=
32 target=NONE
33 verbose=
34 x_includes=NONE
35 x_libraries=NONE
37 # Initialize some other variables.
38 subdirs=
40 ac_prev=
41 for ac_option
44 # If the previous option needs an argument, assign it.
45 if test -n "$ac_prev"; then
46 eval "$ac_prev=\$ac_option"
47 ac_prev=
48 continue
51 case "$ac_option" in
52 -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
53 *) ac_optarg= ;;
54 esac
56 # Accept the important Cygnus configure options, so we can diagnose typos.
58 case "$ac_option" in
60 -build | --build | --buil | --bui | --bu | --b)
61 ac_prev=build ;;
62 -build=* | --build=* | --buil=* | --bui=* | --bu=* | --b=*)
63 build="$ac_optarg" ;;
65 -cache-file | --cache-file | --cache-fil | --cache-fi \
66 | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
67 ac_prev=cache_file ;;
68 -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
69 | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
70 cache_file="$ac_optarg" ;;
72 -disable-* | --disable-*)
73 ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
74 # Reject names that are not valid shell variable names.
75 if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
76 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
78 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
79 eval "enable_${ac_feature}=no" ;;
81 -enable-* | --enable-*)
82 ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
83 # Reject names that are not valid shell variable names.
84 if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
85 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
87 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
88 case "$ac_option" in
89 *=*) ;;
90 *) ac_optarg=yes ;;
91 esac
92 eval "enable_${ac_feature}='$ac_optarg'" ;;
94 -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
95 | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
96 | --exec | --exe | --ex)
97 ac_prev=exec_prefix ;;
98 -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
99 | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
100 | --exec=* | --exe=* | --ex=*)
101 exec_prefix="$ac_optarg" ;;
103 -gas | --gas | --ga | --g)
104 # Obsolete; use --with-gas.
105 with_gas=yes ;;
107 -help | --help | --hel | --he)
108 # Omit some internal or obsolete options to make the list less imposing.
109 # This message is too long to be a string in the A/UX 3.1 sh.
110 cat << EOF
111 Usage: configure [options] [host]
112 Options: [defaults in brackets after descriptions]
113 Configuration:
114 --cache-file=FILE cache test results in FILE
115 --help print this message
116 --no-create do not create output files
117 --quiet, --silent do not print \`checking...' messages
118 --version print the version of autoconf that created configure
119 Directory and file names:
120 --prefix=PREFIX install architecture-independent files in PREFIX
121 [$ac_default_prefix]
122 --exec-prefix=PREFIX install architecture-dependent files in PREFIX
123 [same as prefix]
124 --srcdir=DIR find the sources in DIR [configure dir or ..]
125 --program-prefix=PREFIX prepend PREFIX to installed program names
126 --program-suffix=SUFFIX append SUFFIX to installed program names
127 --program-transform-name=PROGRAM run sed PROGRAM on installed program names
128 Host type:
129 --build=BUILD configure for building on BUILD [BUILD=HOST]
130 --host=HOST configure for HOST [guessed]
131 --target=TARGET configure for TARGET [TARGET=HOST]
132 Features and packages:
133 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
134 --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
135 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
136 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
137 --x-includes=DIR X include files are in DIR
138 --x-libraries=DIR X library files are in DIR
139 --enable and --with options recognized:$ac_help
141 exit 0 ;;
143 -host | --host | --hos | --ho)
144 ac_prev=host ;;
145 -host=* | --host=* | --hos=* | --ho=*)
146 host="$ac_optarg" ;;
148 -nfp | --nfp | --nf)
149 # Obsolete; use --without-fp.
150 with_fp=no ;;
152 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
153 | --no-cr | --no-c)
154 no_create=yes ;;
156 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
157 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
158 no_recursion=yes ;;
160 -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
161 ac_prev=prefix ;;
162 -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
163 prefix="$ac_optarg" ;;
165 -program-prefix | --program-prefix | --program-prefi | --program-pref \
166 | --program-pre | --program-pr | --program-p)
167 ac_prev=program_prefix ;;
168 -program-prefix=* | --program-prefix=* | --program-prefi=* \
169 | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
170 program_prefix="$ac_optarg" ;;
172 -program-suffix | --program-suffix | --program-suffi | --program-suff \
173 | --program-suf | --program-su | --program-s)
174 ac_prev=program_suffix ;;
175 -program-suffix=* | --program-suffix=* | --program-suffi=* \
176 | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
177 program_suffix="$ac_optarg" ;;
179 -program-transform-name | --program-transform-name \
180 | --program-transform-nam | --program-transform-na \
181 | --program-transform-n | --program-transform- \
182 | --program-transform | --program-transfor \
183 | --program-transfo | --program-transf \
184 | --program-trans | --program-tran \
185 | --progr-tra | --program-tr | --program-t)
186 ac_prev=program_transform_name ;;
187 -program-transform-name=* | --program-transform-name=* \
188 | --program-transform-nam=* | --program-transform-na=* \
189 | --program-transform-n=* | --program-transform-=* \
190 | --program-transform=* | --program-transfor=* \
191 | --program-transfo=* | --program-transf=* \
192 | --program-trans=* | --program-tran=* \
193 | --progr-tra=* | --program-tr=* | --program-t=*)
194 program_transform_name="$ac_optarg" ;;
196 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
197 | -silent | --silent | --silen | --sile | --sil)
198 silent=yes ;;
200 -site | --site | --sit)
201 ac_prev=site ;;
202 -site=* | --site=* | --sit=*)
203 site="$ac_optarg" ;;
205 -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
206 ac_prev=srcdir ;;
207 -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
208 srcdir="$ac_optarg" ;;
210 -target | --target | --targe | --targ | --tar | --ta | --t)
211 ac_prev=target ;;
212 -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
213 target="$ac_optarg" ;;
215 -v | -verbose | --verbose | --verbos | --verbo | --verb)
216 verbose=yes ;;
218 -version | --version | --versio | --versi | --vers)
219 echo "configure generated by autoconf version 2.1.2"
220 exit 0 ;;
222 -with-* | --with-*)
223 ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
224 # Reject names that are not valid shell variable names.
225 if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
226 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
228 ac_package=`echo $ac_package| sed 's/-/_/g'`
229 case "$ac_option" in
230 *=*) ;;
231 *) ac_optarg=yes ;;
232 esac
233 eval "with_${ac_package}='$ac_optarg'" ;;
235 -without-* | --without-*)
236 ac_package=`echo $ac_option|sed -e 's/-*without-//'`
237 # Reject names that are not valid shell variable names.
238 if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
239 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
241 ac_package=`echo $ac_package| sed 's/-/_/g'`
242 eval "with_${ac_package}=no" ;;
244 --x)
245 # Obsolete; use --with-x.
246 with_x=yes ;;
248 -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
249 | --x-incl | --x-inc | --x-in | --x-i)
250 ac_prev=x_includes ;;
251 -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
252 | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
253 x_includes="$ac_optarg" ;;
255 -x-libraries | --x-libraries | --x-librarie | --x-librari \
256 | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
257 ac_prev=x_libraries ;;
258 -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
259 | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
260 x_libraries="$ac_optarg" ;;
262 -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
266 if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
267 echo "configure: warning: $ac_option: invalid host type" 1>&2
269 if test "x$nonopt" != xNONE; then
270 { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
272 nonopt="$ac_option"
275 esac
276 done
278 if test -n "$ac_prev"; then
279 { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
282 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
284 # File descriptor usage:
285 # 0 standard input
286 # 1 file creation
287 # 2 errors and warnings
288 # 3 some systems may open it to /dev/tty
289 # 4 used on the Kubota Titan
290 # 6 checking for... messages and results
291 # 5 compiler messages saved in config.log
292 if test "$silent" = yes; then
293 exec 6>/dev/null
294 else
295 exec 6>&1
297 exec 5>./config.log
299 echo "\
300 This file contains any messages produced by compilers while
301 running configure, to aid debugging if configure makes a mistake.
302 " 1>&5
304 # Strip out --no-create and --no-recursion so they do not pile up.
305 # Also quote any args containing shell metacharacters.
306 ac_configure_args=
307 for ac_arg
309 case "$ac_arg" in
310 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
311 | --no-cr | --no-c) ;;
312 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
313 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
314 *" "*|*" "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
315 ac_configure_args="$ac_configure_args '$ac_arg'" ;;
316 *) ac_configure_args="$ac_configure_args $ac_arg" ;;
317 esac
318 done
320 # NLS nuisances.
321 # Only set LANG and LC_ALL to C if already set.
322 # These must not be set unconditionally because not all systems understand
323 # e.g. LANG=C (notably SCO).
324 if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
325 if test "${LANG+set}" = set; then LANG=C; export LANG; fi
327 # confdefs.h avoids OS command line length limits that DEFS can exceed.
328 rm -rf conftest* confdefs.h
329 # AIX cpp loses on an empty file, so make sure it contains at least a newline.
330 echo > confdefs.h
332 # A filename unique to this package, relative to the directory that
333 # configure is in, which we can look for to find out if srcdir is correct.
334 ac_unique_file=fnmatch.c
336 # Find the source files, if location was not specified.
337 if test -z "$srcdir"; then
338 ac_srcdir_defaulted=yes
339 # Try the directory containing this script, then its parent.
340 ac_prog=$0
341 ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
342 test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
343 srcdir=$ac_confdir
344 if test ! -r $srcdir/$ac_unique_file; then
345 srcdir=..
347 else
348 ac_srcdir_defaulted=no
350 if test ! -r $srcdir/$ac_unique_file; then
351 if test "$ac_srcdir_defaulted" = yes; then
352 { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
353 else
354 { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
357 srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
359 # Prefer explicitly selected file to automatically selected ones.
360 if test -z "$CONFIG_SITE"; then
361 if test "x$prefix" != xNONE; then
362 CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
363 else
364 CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
367 for ac_site_file in $CONFIG_SITE; do
368 if test -r "$ac_site_file"; then
369 echo "loading site script $ac_site_file"
370 . "$ac_site_file"
372 done
374 if test -r "$cache_file"; then
375 echo "loading cache $cache_file"
376 . $cache_file
377 else
378 echo "creating cache $cache_file"
379 > $cache_file
382 ac_ext=c
383 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
384 ac_cpp='$CPP $CPPFLAGS'
385 ac_compile='${CC-cc} conftest.$ac_ext $CFLAGS $CPPFLAGS -c 1>&5 2>&5'
386 ac_link='${CC-cc} conftest.$ac_ext $CFLAGS $CPPFLAGS $LDFLAGS -o conftest $LIBS 1>&5 2>&5'
388 if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
389 # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
390 if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
391 ac_n= ac_c='
392 ' ac_t=' '
393 else
394 ac_n=-n ac_c= ac_t=
396 else
397 ac_n= ac_c='\c' ac_t=
400 # Extract the first word of "gcc", so it can be a program name with args.
401 set dummy gcc; ac_word=$2
402 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
403 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
404 echo $ac_n "(cached) $ac_c" 1>&6
405 else
406 if test -n "$CC"; then
407 ac_cv_prog_CC="$CC" # Let the user override the test.
408 else
409 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
410 for ac_dir in $PATH; do
411 test -z "$ac_dir" && ac_dir=.
412 if test -f $ac_dir/$ac_word; then
413 ac_cv_prog_CC="gcc"
414 break
416 done
417 IFS="$ac_save_ifs"
418 test -z "$ac_cv_prog_CC" && ac_cv_prog_CC="cc"
421 CC="$ac_cv_prog_CC"
422 if test -n "$CC"; then
423 echo "$ac_t""$CC" 1>&6
424 else
425 echo "$ac_t""no" 1>&6
429 echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
430 if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
431 echo $ac_n "(cached) $ac_c" 1>&6
432 else
433 cat > conftest.c <<EOF
434 #ifdef __GNUC__
435 yes;
436 #endif
438 if ${CC-cc} -E conftest.c 2>&5 | egrep yes >/dev/null 2>&1; then
439 ac_cv_prog_gcc=yes
440 else
441 ac_cv_prog_gcc=no
444 echo "$ac_t""$ac_cv_prog_gcc" 1>&6
445 if test $ac_cv_prog_gcc = yes; then
446 GCC=yes
447 if test "${CFLAGS+set}" != set; then
448 echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
449 if eval "test \"`echo '$''{'ac_cv_prog_gcc_g'+set}'`\" = set"; then
450 echo $ac_n "(cached) $ac_c" 1>&6
451 else
452 echo 'void f(){}' > conftest.c
453 if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
454 ac_cv_prog_gcc_g=yes
455 else
456 ac_cv_prog_gcc_g=no
458 rm -f conftest*
461 echo "$ac_t""$ac_cv_prog_gcc_g" 1>&6
462 if test $ac_cv_prog_gcc_g = yes; then
463 CFLAGS="-g -O"
464 else
465 CFLAGS="-O"
468 else
469 GCC=
470 test "${CFLAGS+set}" = set || CFLAGS="-g"
473 # Extract the first word of "ar", so it can be a program name with args.
474 set dummy ar; ac_word=$2
475 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
476 if eval "test \"`echo '$''{'ac_cv_prog_AR'+set}'`\" = set"; then
477 echo $ac_n "(cached) $ac_c" 1>&6
478 else
479 if test -n "$AR"; then
480 ac_cv_prog_AR="$AR" # Let the user override the test.
481 else
482 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
483 for ac_dir in $PATH; do
484 test -z "$ac_dir" && ac_dir=.
485 if test -f $ac_dir/$ac_word; then
486 ac_cv_prog_AR="ar"
487 break
489 done
490 IFS="$ac_save_ifs"
491 test -z "$ac_cv_prog_AR" && ac_cv_prog_AR="ar"
494 AR="$ac_cv_prog_AR"
495 if test -n "$AR"; then
496 echo "$ac_t""$AR" 1>&6
497 else
498 echo "$ac_t""no" 1>&6
501 # Extract the first word of "ranlib", so it can be a program name with args.
502 set dummy ranlib; ac_word=$2
503 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
504 if eval "test \"`echo '$''{'ac_cv_prog_RANLIB'+set}'`\" = set"; then
505 echo $ac_n "(cached) $ac_c" 1>&6
506 else
507 if test -n "$RANLIB"; then
508 ac_cv_prog_RANLIB="$RANLIB" # Let the user override the test.
509 else
510 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
511 for ac_dir in $PATH; do
512 test -z "$ac_dir" && ac_dir=.
513 if test -f $ac_dir/$ac_word; then
514 ac_cv_prog_RANLIB="ranlib"
515 break
517 done
518 IFS="$ac_save_ifs"
519 test -z "$ac_cv_prog_RANLIB" && ac_cv_prog_RANLIB=":"
522 RANLIB="$ac_cv_prog_RANLIB"
523 if test -n "$RANLIB"; then
524 echo "$ac_t""$RANLIB" 1>&6
525 else
526 echo "$ac_t""no" 1>&6
529 echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
530 # On Suns, sometimes $CPP names a directory.
531 if test -n "$CPP" && test -d "$CPP"; then
532 CPP=
534 if test -z "$CPP"; then
535 if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
536 echo $ac_n "(cached) $ac_c" 1>&6
537 else
538 # This must be in double quotes, not single quotes, because CPP may get
539 # substituted into the Makefile and "${CC-cc}" will confuse make.
540 CPP="${CC-cc} -E"
541 # On the NeXT, cc -E runs the code through the compiler's parser,
542 # not just through cpp.
543 cat > conftest.$ac_ext <<EOF
544 #line 545 "configure"
545 #include "confdefs.h"
546 #include <assert.h>
547 Syntax Error
549 eval "$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
550 ac_err=`grep -v '^ *+' conftest.out`
551 if test -z "$ac_err"; then
553 else
554 echo "$ac_err" >&5
555 rm -rf conftest*
556 CPP="${CC-cc} -E -traditional-cpp"
557 cat > conftest.$ac_ext <<EOF
558 #line 559 "configure"
559 #include "confdefs.h"
560 #include <assert.h>
561 Syntax Error
563 eval "$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
564 ac_err=`grep -v '^ *+' conftest.out`
565 if test -z "$ac_err"; then
567 else
568 echo "$ac_err" >&5
569 rm -rf conftest*
570 CPP=/lib/cpp
572 rm -f conftest*
574 rm -f conftest*
575 ac_cv_prog_CPP="$CPP"
578 CPP="$ac_cv_prog_CPP"
579 echo "$ac_t""$CPP" 1>&6
580 echo $ac_n "checking for AIX""... $ac_c" 1>&6
581 cat > conftest.$ac_ext <<EOF
582 #line 583 "configure"
583 #include "confdefs.h"
584 #ifdef _AIX
586 #endif
589 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
590 egrep "yes" >/dev/null 2>&1; then
591 rm -rf conftest*
592 echo "$ac_t""yes" 1>&6; cat >> confdefs.h <<\EOF
593 #define _ALL_SOURCE 1
596 else
597 rm -rf conftest*
598 echo "$ac_t""no" 1>&6
600 rm -f conftest*
603 ac_safe=`echo "minix/config.h" | tr './\055' '___'`
604 echo $ac_n "checking for minix/config.h""... $ac_c" 1>&6
605 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
606 echo $ac_n "(cached) $ac_c" 1>&6
607 else
608 cat > conftest.$ac_ext <<EOF
609 #line 610 "configure"
610 #include "confdefs.h"
611 #include <minix/config.h>
613 eval "$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
614 ac_err=`grep -v '^ *+' conftest.out`
615 if test -z "$ac_err"; then
616 rm -rf conftest*
617 eval "ac_cv_header_$ac_safe=yes"
618 else
619 echo "$ac_err" >&5
620 rm -rf conftest*
621 eval "ac_cv_header_$ac_safe=no"
623 rm -f conftest*
625 if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
626 echo "$ac_t""yes" 1>&6
627 MINIX=yes
628 else
629 echo "$ac_t""no" 1>&6
630 MINIX=
633 if test "$MINIX" = yes; then
634 cat >> confdefs.h <<\EOF
635 #define _POSIX_SOURCE 1
638 cat >> confdefs.h <<\EOF
639 #define _POSIX_1_SOURCE 2
642 cat >> confdefs.h <<\EOF
643 #define _MINIX 1
648 echo $ac_n "checking for POSIXized ISC""... $ac_c" 1>&6
649 if test -d /etc/conf/kconfig.d &&
650 grep _POSIX_VERSION /usr/include/sys/unistd.h >/dev/null 2>&1
651 then
652 echo "$ac_t""yes" 1>&6
653 ISC=yes # If later tests want to check for ISC.
654 cat >> confdefs.h <<\EOF
655 #define _POSIX_SOURCE 1
658 if test "$GCC" = yes; then
659 CC="$CC -posix"
660 else
661 CC="$CC -Xp"
663 else
664 echo "$ac_t""no" 1>&6
665 ISC=
668 echo $ac_n "checking for working const""... $ac_c" 1>&6
669 if eval "test \"`echo '$''{'ac_cv_c_const'+set}'`\" = set"; then
670 echo $ac_n "(cached) $ac_c" 1>&6
671 else
672 cat > conftest.$ac_ext <<EOF
673 #line 674 "configure"
674 #include "confdefs.h"
676 int main() { return 0; }
677 int t() {
679 /* Ultrix mips cc rejects this. */
680 typedef int charset[2]; const charset x;
681 /* SunOS 4.1.1 cc rejects this. */
682 char const *const *ccp;
683 char **p;
684 /* NEC SVR4.0.2 mips cc rejects this. */
685 struct point {int x, y;};
686 static struct point const zero;
687 /* AIX XL C 1.02.0.0 rejects this.
688 It does not let you subtract one const X* pointer from another in an arm
689 of an if-expression whose if-part is not a constant expression */
690 const char *g = "string";
691 ccp = &g + (g ? g-g : 0);
692 /* HPUX 7.0 cc rejects these. */
693 ++ccp;
694 p = (char**) ccp;
695 ccp = (char const *const *) p;
696 { /* SCO 3.2v4 cc rejects this. */
697 char *t;
698 char const *s = 0 ? (char *) 0 : (char const *) 0;
700 *t++ = 0;
702 { /* Someone thinks the Sun supposedly-ANSI compiler will reject this. */
703 int x[] = {25, 17};
704 const int *foo = &x[0];
705 ++foo;
707 { /* Sun SC1.0 ANSI compiler rejects this -- but not the above. */
708 typedef const int *iptr;
709 iptr p = 0;
710 ++p;
712 { /* AIX XL C 1.02.0.0 rejects this saying
713 "k.c", line 2.27: 1506-025 (S) Operand must be a modifiable lvalue. */
714 struct s { int j; const int *ap[3]; };
715 struct s *b; b->j = 5;
717 { /* ULTRIX-32 V3.1 (Rev 9) vcc rejects this */
718 const int foo = 10;
721 ; return 0; }
723 if eval $ac_compile; then
724 rm -rf conftest*
725 ac_cv_c_const=yes
726 else
727 rm -rf conftest*
728 ac_cv_c_const=no
730 rm -f conftest*
733 echo "$ac_t""$ac_cv_c_const" 1>&6
734 if test $ac_cv_c_const = no; then
735 cat >> confdefs.h <<\EOF
736 #define const
741 # If we cannot run a trivial program, we must be cross compiling.
742 echo $ac_n "checking whether cross-compiling""... $ac_c" 1>&6
743 if eval "test \"`echo '$''{'ac_cv_c_cross'+set}'`\" = set"; then
744 echo $ac_n "(cached) $ac_c" 1>&6
745 else
746 if test "$cross_compiling" = yes; then
747 ac_cv_c_cross=yes
748 else
749 cat > conftest.$ac_ext <<EOF
750 #line 751 "configure"
751 #include "confdefs.h"
752 main(){return(0);}
754 eval $ac_link
755 if test -s conftest && (./conftest; exit) 2>/dev/null; then
756 ac_cv_c_cross=no
757 else
758 ac_cv_c_cross=yes
761 rm -fr conftest*
763 cross_compiling=$ac_cv_c_cross
764 echo "$ac_t""$ac_cv_c_cross" 1>&6
766 echo $ac_n "checking for ANSI C header files""... $ac_c" 1>&6
767 if eval "test \"`echo '$''{'ac_cv_header_stdc'+set}'`\" = set"; then
768 echo $ac_n "(cached) $ac_c" 1>&6
769 else
770 cat > conftest.$ac_ext <<EOF
771 #line 772 "configure"
772 #include "confdefs.h"
773 #include <stdlib.h>
774 #include <stdarg.h>
775 #include <string.h>
776 #include <float.h>
778 eval "$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
779 ac_err=`grep -v '^ *+' conftest.out`
780 if test -z "$ac_err"; then
781 rm -rf conftest*
782 ac_cv_header_stdc=yes
783 else
784 echo "$ac_err" >&5
785 rm -rf conftest*
786 ac_cv_header_stdc=no
788 rm -f conftest*
790 if test $ac_cv_header_stdc = yes; then
791 # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
792 cat > conftest.$ac_ext <<EOF
793 #line 794 "configure"
794 #include "confdefs.h"
795 #include <string.h>
797 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
798 egrep "memchr" >/dev/null 2>&1; then
800 else
801 rm -rf conftest*
802 ac_cv_header_stdc=no
804 rm -f conftest*
808 if test $ac_cv_header_stdc = yes; then
809 # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
810 cat > conftest.$ac_ext <<EOF
811 #line 812 "configure"
812 #include "confdefs.h"
813 #include <stdlib.h>
815 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
816 egrep "free" >/dev/null 2>&1; then
818 else
819 rm -rf conftest*
820 ac_cv_header_stdc=no
822 rm -f conftest*
826 if test $ac_cv_header_stdc = yes; then
827 # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
828 if test "$cross_compiling" = yes; then
829 ac_cv_header_stdc=no
830 else
831 cat > conftest.$ac_ext <<EOF
832 #line 833 "configure"
833 #include "confdefs.h"
834 #include <ctype.h>
835 #define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
836 #define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
837 #define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
838 int main () { int i; for (i = 0; i < 256; i++)
839 if (XOR (islower (i), ISLOWER (i)) || toupper (i) != TOUPPER (i)) exit(2);
840 exit (0); }
843 eval $ac_link
844 if test -s conftest && (./conftest; exit) 2>/dev/null; then
846 else
847 ac_cv_header_stdc=no
850 rm -fr conftest*
853 echo "$ac_t""$ac_cv_header_stdc" 1>&6
854 if test $ac_cv_header_stdc = yes; then
855 cat >> confdefs.h <<\EOF
856 #define STDC_HEADERS 1
861 for ac_hdr in memory.h unistd.h string.h
863 ac_safe=`echo "$ac_hdr" | tr './\055' '___'`
864 echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
865 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
866 echo $ac_n "(cached) $ac_c" 1>&6
867 else
868 cat > conftest.$ac_ext <<EOF
869 #line 870 "configure"
870 #include "confdefs.h"
871 #include <$ac_hdr>
873 eval "$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
874 ac_err=`grep -v '^ *+' conftest.out`
875 if test -z "$ac_err"; then
876 rm -rf conftest*
877 eval "ac_cv_header_$ac_safe=yes"
878 else
879 echo "$ac_err" >&5
880 rm -rf conftest*
881 eval "ac_cv_header_$ac_safe=no"
883 rm -f conftest*
885 if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
886 echo "$ac_t""yes" 1>&6
887 ac_tr_hdr=HAVE_`echo $ac_hdr | tr '[a-z]./\055' '[A-Z]___'`
888 cat >> confdefs.h <<EOF
889 #define $ac_tr_hdr 1
892 else
893 echo "$ac_t""no" 1>&6
895 done
897 ac_header_dirent=no
898 for ac_hdr in dirent.h sys/ndir.h sys/dir.h ndir.h
900 ac_safe=`echo "$ac_hdr" | tr './\055' '___'`
901 echo $ac_n "checking for $ac_hdr that defines DIR""... $ac_c" 1>&6
902 if eval "test \"`echo '$''{'ac_cv_header_dirent_$ac_safe'+set}'`\" = set"; then
903 echo $ac_n "(cached) $ac_c" 1>&6
904 else
905 cat > conftest.$ac_ext <<EOF
906 #line 907 "configure"
907 #include "confdefs.h"
908 #include <sys/types.h>
909 #include <$ac_hdr>
910 int main() { return 0; }
911 int t() {
912 DIR *dirp = 0;
913 ; return 0; }
915 if eval $ac_compile; then
916 rm -rf conftest*
917 eval "ac_cv_header_dirent_$ac_safe=yes"
918 else
919 rm -rf conftest*
920 eval "ac_cv_header_dirent_$ac_safe=no"
922 rm -f conftest*
925 if eval "test \"`echo '$ac_cv_header_dirent_'$ac_safe`\" = yes"; then
926 echo "$ac_t""yes" 1>&6
927 ac_tr_hdr=HAVE_`echo $ac_hdr | tr '[a-z]./\055' '[A-Z]___'`
928 cat >> confdefs.h <<EOF
929 #define $ac_tr_hdr 1
931 ac_header_dirent=$ac_hdr; break
932 else
933 echo "$ac_t""no" 1>&6
935 done
936 # Two versions of opendir et al. are in -ldir and -lx on SCO Xenix.
937 if test $ac_header_dirent = dirent.h; then
938 echo $ac_n "checking for -ldir""... $ac_c" 1>&6
939 if eval "test \"`echo '$''{'ac_cv_lib_dir'+set}'`\" = set"; then
940 echo $ac_n "(cached) $ac_c" 1>&6
941 else
942 ac_save_LIBS="$LIBS"
943 LIBS="-ldir $LIBS"
944 cat > conftest.$ac_ext <<EOF
945 #line 946 "configure"
946 #include "confdefs.h"
948 int main() { return 0; }
949 int t() {
950 opendir()
951 ; return 0; }
953 if eval $ac_link; then
954 rm -rf conftest*
955 eval "ac_cv_lib_dir=yes"
956 else
957 rm -rf conftest*
958 eval "ac_cv_lib_dir=no"
960 rm -f conftest*
961 LIBS="$ac_save_LIBS"
964 if eval "test \"`echo '$ac_cv_lib_'dir`\" = yes"; then
965 echo "$ac_t""yes" 1>&6
966 LIBS="$LIBS -ldir"
967 else
968 echo "$ac_t""no" 1>&6
971 else
972 echo $ac_n "checking for -lx""... $ac_c" 1>&6
973 if eval "test \"`echo '$''{'ac_cv_lib_x'+set}'`\" = set"; then
974 echo $ac_n "(cached) $ac_c" 1>&6
975 else
976 ac_save_LIBS="$LIBS"
977 LIBS="-lx $LIBS"
978 cat > conftest.$ac_ext <<EOF
979 #line 980 "configure"
980 #include "confdefs.h"
982 int main() { return 0; }
983 int t() {
984 opendir()
985 ; return 0; }
987 if eval $ac_link; then
988 rm -rf conftest*
989 eval "ac_cv_lib_x=yes"
990 else
991 rm -rf conftest*
992 eval "ac_cv_lib_x=no"
994 rm -f conftest*
995 LIBS="$ac_save_LIBS"
998 if eval "test \"`echo '$ac_cv_lib_'x`\" = yes"; then
999 echo "$ac_t""yes" 1>&6
1000 LIBS="$LIBS -lx"
1001 else
1002 echo "$ac_t""no" 1>&6
1007 echo $ac_n "checking whether closedir returns void""... $ac_c" 1>&6
1008 if eval "test \"`echo '$''{'ac_cv_func_closedir_void'+set}'`\" = set"; then
1009 echo $ac_n "(cached) $ac_c" 1>&6
1010 else
1011 if test "$cross_compiling" = yes; then
1012 { echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
1013 else
1014 cat > conftest.$ac_ext <<EOF
1015 #line 1016 "configure"
1016 #include "confdefs.h"
1017 #include <sys/types.h>
1018 #include <$ac_header_dirent>
1019 int closedir(); main() { exit(closedir(opendir(".")) != 0); }
1021 eval $ac_link
1022 if test -s conftest && (./conftest; exit) 2>/dev/null; then
1023 ac_cv_func_closedir_void=no
1024 else
1025 ac_cv_func_closedir_void=yes
1028 rm -fr conftest*
1030 echo "$ac_t""$ac_cv_func_closedir_void" 1>&6
1031 if test $ac_cv_func_closedir_void = yes; then
1032 cat >> confdefs.h <<\EOF
1033 #define CLOSEDIR_VOID 1
1038 # The Ultrix 4.2 mips builtin alloca declared by alloca.h only works
1039 # for constant arguments. Useless!
1040 echo $ac_n "checking for working alloca.h""... $ac_c" 1>&6
1041 if eval "test \"`echo '$''{'ac_cv_header_alloca_h'+set}'`\" = set"; then
1042 echo $ac_n "(cached) $ac_c" 1>&6
1043 else
1044 cat > conftest.$ac_ext <<EOF
1045 #line 1046 "configure"
1046 #include "confdefs.h"
1047 #include <alloca.h>
1048 int main() { return 0; }
1049 int t() {
1050 char *p = alloca(2 * sizeof(int));
1051 ; return 0; }
1053 if eval $ac_link; then
1054 rm -rf conftest*
1055 ac_cv_header_alloca_h=yes
1056 else
1057 rm -rf conftest*
1058 ac_cv_header_alloca_h=no
1060 rm -f conftest*
1063 echo "$ac_t""$ac_cv_header_alloca_h" 1>&6
1064 if test $ac_cv_header_alloca_h = yes; then
1065 cat >> confdefs.h <<\EOF
1066 #define HAVE_ALLOCA_H 1
1071 echo $ac_n "checking for alloca""... $ac_c" 1>&6
1072 if eval "test \"`echo '$''{'ac_cv_func_alloca'+set}'`\" = set"; then
1073 echo $ac_n "(cached) $ac_c" 1>&6
1074 else
1075 cat > conftest.$ac_ext <<EOF
1076 #line 1077 "configure"
1077 #include "confdefs.h"
1079 #ifdef __GNUC__
1080 # define alloca __builtin_alloca
1081 #else
1082 # if HAVE_ALLOCA_H
1083 # include <alloca.h>
1084 # else
1085 # ifdef _AIX
1086 #pragma alloca
1087 # else
1088 # ifndef alloca /* predefined by HP cc +Olibcalls */
1089 char *alloca ();
1090 # endif
1091 # endif
1092 # endif
1093 #endif
1095 int main() { return 0; }
1096 int t() {
1097 char *p = (char *) alloca(1);
1098 ; return 0; }
1100 if eval $ac_link; then
1101 rm -rf conftest*
1102 ac_cv_func_alloca=yes
1103 else
1104 rm -rf conftest*
1105 ac_cv_func_alloca=no
1107 rm -f conftest*
1110 echo "$ac_t""$ac_cv_func_alloca" 1>&6
1111 if test $ac_cv_func_alloca = yes; then
1112 cat >> confdefs.h <<\EOF
1113 #define HAVE_ALLOCA 1
1118 if test $ac_cv_func_alloca = no; then
1119 # The SVR3 libPW and SVR4 libucb both contain incompatible functions
1120 # that cause trouble. Some versions do not even contain alloca or
1121 # contain a buggy version. If you still want to use their alloca,
1122 # use ar to extract alloca.o from them instead of compiling alloca.c.
1123 ALLOCA=alloca.o
1124 cat >> confdefs.h <<\EOF
1125 #define C_ALLOCA 1
1129 echo $ac_n "checking whether alloca needs Cray hooks""... $ac_c" 1>&6
1130 if eval "test \"`echo '$''{'ac_cv_os_cray'+set}'`\" = set"; then
1131 echo $ac_n "(cached) $ac_c" 1>&6
1132 else
1133 cat > conftest.$ac_ext <<EOF
1134 #line 1135 "configure"
1135 #include "confdefs.h"
1136 #if defined(CRAY) && ! defined(CRAY2)
1137 webecray
1138 #else
1139 wenotbecray
1140 #endif
1143 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1144 egrep "webecray" >/dev/null 2>&1; then
1145 rm -rf conftest*
1146 ac_cv_os_cray=yes
1147 else
1148 rm -rf conftest*
1149 ac_cv_os_cray=no
1151 rm -f conftest*
1154 echo "$ac_t""$ac_cv_os_cray" 1>&6
1155 if test $ac_cv_os_cray = yes; then
1156 echo $ac_n "checking for _getb67""... $ac_c" 1>&6
1157 if eval "test \"`echo '$''{'ac_cv_func__getb67'+set}'`\" = set"; then
1158 echo $ac_n "(cached) $ac_c" 1>&6
1159 else
1160 cat > conftest.$ac_ext <<EOF
1161 #line 1162 "configure"
1162 #include "confdefs.h"
1163 #include <ctype.h> /* Arbitrary system header to define __stub macros. */
1164 /* Override any gcc2 internal prototype to avoid an error. */
1165 char _getb67();
1167 int main() { return 0; }
1168 int t() {
1170 /* The GNU C library defines this for functions which it implements
1171 to always fail with ENOSYS. Some functions are actually named
1172 something starting with __ and the normal name is an alias. */
1173 #if defined (__stub__getb67) || defined (__stub____getb67)
1174 choke me
1175 #else
1176 _getb67();
1177 #endif
1179 ; return 0; }
1181 if eval $ac_link; then
1182 rm -rf conftest*
1183 eval "ac_cv_func__getb67=yes"
1184 else
1185 rm -rf conftest*
1186 eval "ac_cv_func__getb67=no"
1188 rm -f conftest*
1191 if eval "test \"`echo '$ac_cv_func_'_getb67`\" = yes"; then
1192 echo "$ac_t""yes" 1>&6
1193 cat >> confdefs.h <<\EOF
1194 #define CRAY_STACKSEG_END _getb67
1197 else
1198 echo "$ac_t""no" 1>&6
1199 echo $ac_n "checking for GETB67""... $ac_c" 1>&6
1200 if eval "test \"`echo '$''{'ac_cv_func_GETB67'+set}'`\" = set"; then
1201 echo $ac_n "(cached) $ac_c" 1>&6
1202 else
1203 cat > conftest.$ac_ext <<EOF
1204 #line 1205 "configure"
1205 #include "confdefs.h"
1206 #include <ctype.h> /* Arbitrary system header to define __stub macros. */
1207 /* Override any gcc2 internal prototype to avoid an error. */
1208 char GETB67();
1210 int main() { return 0; }
1211 int t() {
1213 /* The GNU C library defines this for functions which it implements
1214 to always fail with ENOSYS. Some functions are actually named
1215 something starting with __ and the normal name is an alias. */
1216 #if defined (__stub_GETB67) || defined (__stub___GETB67)
1217 choke me
1218 #else
1219 GETB67();
1220 #endif
1222 ; return 0; }
1224 if eval $ac_link; then
1225 rm -rf conftest*
1226 eval "ac_cv_func_GETB67=yes"
1227 else
1228 rm -rf conftest*
1229 eval "ac_cv_func_GETB67=no"
1231 rm -f conftest*
1234 if eval "test \"`echo '$ac_cv_func_'GETB67`\" = yes"; then
1235 echo "$ac_t""yes" 1>&6
1236 cat >> confdefs.h <<\EOF
1237 #define CRAY_STACKSEG_END GETB67
1240 else
1241 echo "$ac_t""no" 1>&6
1242 echo $ac_n "checking for getb67""... $ac_c" 1>&6
1243 if eval "test \"`echo '$''{'ac_cv_func_getb67'+set}'`\" = set"; then
1244 echo $ac_n "(cached) $ac_c" 1>&6
1245 else
1246 cat > conftest.$ac_ext <<EOF
1247 #line 1248 "configure"
1248 #include "confdefs.h"
1249 #include <ctype.h> /* Arbitrary system header to define __stub macros. */
1250 /* Override any gcc2 internal prototype to avoid an error. */
1251 char getb67();
1253 int main() { return 0; }
1254 int t() {
1256 /* The GNU C library defines this for functions which it implements
1257 to always fail with ENOSYS. Some functions are actually named
1258 something starting with __ and the normal name is an alias. */
1259 #if defined (__stub_getb67) || defined (__stub___getb67)
1260 choke me
1261 #else
1262 getb67();
1263 #endif
1265 ; return 0; }
1267 if eval $ac_link; then
1268 rm -rf conftest*
1269 eval "ac_cv_func_getb67=yes"
1270 else
1271 rm -rf conftest*
1272 eval "ac_cv_func_getb67=no"
1274 rm -f conftest*
1277 if eval "test \"`echo '$ac_cv_func_'getb67`\" = yes"; then
1278 echo "$ac_t""yes" 1>&6
1279 cat >> confdefs.h <<\EOF
1280 #define CRAY_STACKSEG_END getb67
1283 else
1284 echo "$ac_t""no" 1>&6
1293 echo $ac_n "checking stack direction for C alloca""... $ac_c" 1>&6
1294 if eval "test \"`echo '$''{'ac_cv_c_stack_direction'+set}'`\" = set"; then
1295 echo $ac_n "(cached) $ac_c" 1>&6
1296 else
1297 if test "$cross_compiling" = yes; then
1298 ac_cv_c_stack_direction=0
1299 else
1300 cat > conftest.$ac_ext <<EOF
1301 #line 1302 "configure"
1302 #include "confdefs.h"
1303 find_stack_direction ()
1305 static char *addr = 0;
1306 auto char dummy;
1307 if (addr == 0)
1309 addr = &dummy;
1310 return find_stack_direction ();
1312 else
1313 return (&dummy > addr) ? 1 : -1;
1315 main ()
1317 exit (find_stack_direction() < 0);
1320 eval $ac_link
1321 if test -s conftest && (./conftest; exit) 2>/dev/null; then
1322 ac_cv_c_stack_direction=1
1323 else
1324 ac_cv_c_stack_direction=-1
1327 rm -fr conftest*
1329 echo "$ac_t""$ac_cv_c_stack_direction" 1>&6
1330 cat >> confdefs.h <<EOF
1331 #define STACK_DIRECTION $ac_cv_c_stack_direction
1336 echo $ac_n "checking for strcoll""... $ac_c" 1>&6
1337 if eval "test \"`echo '$''{'ac_cv_func_strcoll'+set}'`\" = set"; then
1338 echo $ac_n "(cached) $ac_c" 1>&6
1339 else
1340 if test "$cross_compiling" = yes; then
1341 ac_cv_func_strcoll=no
1342 else
1343 cat > conftest.$ac_ext <<EOF
1344 #line 1345 "configure"
1345 #include "confdefs.h"
1346 #include <string.h>
1347 main ()
1349 exit (strcoll ("abc", "def") >= 0 ||
1350 strcoll ("ABC", "DEF") >= 0 ||
1351 strcoll ("123", "456") >= 0);
1354 eval $ac_link
1355 if test -s conftest && (./conftest; exit) 2>/dev/null; then
1356 ac_cv_func_strcoll=yes
1357 else
1358 ac_cv_func_strcoll=no
1361 rm -fr conftest*
1363 echo "$ac_t""$ac_cv_func_strcoll" 1>&6
1364 if test $ac_cv_func_strcoll = yes; then
1365 cat >> confdefs.h <<\EOF
1366 #define HAVE_STRCOLL 1
1371 trap '' 1 2 15
1372 if test -w $cache_file; then
1373 echo "updating cache $cache_file"
1374 cat > $cache_file <<\EOF
1375 # This file is a shell script that caches the results of configure
1376 # tests run on this system so they can be shared between configure
1377 # scripts and configure runs. It is not useful on other systems.
1378 # If it contains results you don't want to keep, you may remove or edit it.
1380 # By default, configure uses ./config.cache as the cache file,
1381 # creating it if it does not exist already. You can give configure
1382 # the --cache-file=FILE option to use a different cache file; that is
1383 # what configure does when it calls configure scripts in
1384 # subdirectories, so they share the cache.
1385 # Giving --cache-file=/dev/null disables caching, for debugging configure.
1386 # config.status only pays attention to the cache file if you give it the
1387 # --recheck option to rerun configure.
1390 # Ultrix sh set writes to stderr and can't be redirected directly,
1391 # and sets the high bit in the cache file unless we assign to the vars.
1392 (set) 2>&1 |
1393 sed -n "s/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=\${\1='\2'}/p" \
1394 >> $cache_file
1395 else
1396 echo "not updating unwritable cache $cache_file"
1399 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1401 test "x$prefix" = xNONE && prefix=$ac_default_prefix
1402 # Let make expand exec_prefix.
1403 test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1405 # Any assignment to VPATH causes Sun make to only execute
1406 # the first set of double-colon rules, so remove it if not needed.
1407 # If there is a colon in the path, we need to keep it.
1408 if test "x$srcdir" = x.; then
1409 ac_vpsub='/^[ ]*VPATH[ ]*=[^:]*$/d'
1412 trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1414 # Transform confdefs.h into DEFS.
1415 # Protect against shell expansion while executing Makefile rules.
1416 # Protect against Makefile macro expansion.
1417 cat > conftest.defs <<\EOF
1418 s%#define \([A-Za-z_][A-Za-z0-9_]*\) \(.*\)%-D\1=\2%g
1419 s%[ `~#$^&*(){}\\|;'"<>?]%\\&%g
1420 s%\[%\\&%g
1421 s%\]%\\&%g
1422 s%\$%$$%g
1424 DEFS=`sed -f conftest.defs confdefs.h | tr '\012' ' '`
1425 rm -f conftest.defs
1428 # Without the "./", some shells look in PATH for config.status.
1429 : ${CONFIG_STATUS=./config.status}
1431 echo creating $CONFIG_STATUS
1432 rm -f $CONFIG_STATUS
1433 cat > $CONFIG_STATUS <<EOF
1434 #! /bin/sh
1435 # Generated automatically by configure.
1436 # Run this file to recreate the current configuration.
1437 # This directory was configured as follows,
1438 # on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1440 # $0 $ac_configure_args
1442 # Compiler output produced by configure, useful for debugging
1443 # configure, is in ./config.log if it exists.
1445 ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1446 for ac_option
1448 case "\$ac_option" in
1449 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1450 echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1451 exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1452 -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1453 echo "$CONFIG_STATUS generated by autoconf version 2.1.2"
1454 exit 0 ;;
1455 -help | --help | --hel | --he | --h)
1456 echo "\$ac_cs_usage"; exit 0 ;;
1457 *) echo "\$ac_cs_usage"; exit 1 ;;
1458 esac
1459 done
1461 ac_given_srcdir=$srcdir
1463 trap 'rm -f Makefile; exit 1' 1 2 15
1465 # Protect against being on the right side of a sed subst in config.status.
1466 sed 's/%@/@@/; s/@%/@@/; s/%g$/@g/; /@g$/s/[\\\\&%]/\\\\&/g;
1467 s/@@/%@/; s/@@/@%/; s/@g$/%g/' > conftest.subs <<\CEOF
1468 $ac_vpsub
1469 $extrasub
1470 s%@CFLAGS@%$CFLAGS%g
1471 s%@CPPFLAGS@%$CPPFLAGS%g
1472 s%@CXXFLAGS@%$CXXFLAGS%g
1473 s%@DEFS@%$DEFS%g
1474 s%@LDFLAGS@%$LDFLAGS%g
1475 s%@LIBS@%$LIBS%g
1476 s%@exec_prefix@%$exec_prefix%g
1477 s%@prefix@%$prefix%g
1478 s%@program_transform_name@%$program_transform_name%g
1479 s%@CC@%$CC%g
1480 s%@AR@%$AR%g
1481 s%@RANLIB@%$RANLIB%g
1482 s%@CPP@%$CPP%g
1483 s%@ALLOCA@%$ALLOCA%g
1485 CEOF
1487 cat >> $CONFIG_STATUS <<EOF
1489 CONFIG_FILES=\${CONFIG_FILES-"Makefile"}
1491 cat >> $CONFIG_STATUS <<\EOF
1492 for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1493 # Support "outfile[:infile]", defaulting infile="outfile.in".
1494 case "$ac_file" in
1495 *:*) ac_file_in=`echo "$ac_file"|sed 's%.*:%%'`
1496 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1497 *) ac_file_in="${ac_file}.in" ;;
1498 esac
1500 # Adjust relative srcdir, etc. for subdirectories.
1502 # Remove last slash and all that follows it. Not all systems have dirname.
1503 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1504 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1505 # The file is in a subdirectory.
1506 test ! -d "$ac_dir" && mkdir "$ac_dir"
1507 ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1508 # A "../" for each directory in $ac_dir_suffix.
1509 ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1510 else
1511 ac_dir_suffix= ac_dots=
1514 case "$ac_given_srcdir" in
1515 .) srcdir=.
1516 if test -z "$ac_dots"; then top_srcdir=.
1517 else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1518 /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1519 *) # Relative path.
1520 srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1521 top_srcdir="$ac_dots$ac_given_srcdir" ;;
1522 esac
1524 echo creating "$ac_file"
1525 rm -f "$ac_file"
1526 configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1527 case "$ac_file" in
1528 *Makefile*) ac_comsub="1i\\
1529 # $configure_input" ;;
1530 *) ac_comsub= ;;
1531 esac
1532 sed -e "$ac_comsub
1533 s%@configure_input@%$configure_input%g
1534 s%@srcdir@%$srcdir%g
1535 s%@top_srcdir@%$top_srcdir%g
1536 " -f conftest.subs $ac_given_srcdir/$ac_file_in > $ac_file
1537 fi; done
1538 rm -f conftest.subs
1542 exit 0
1544 chmod +x $CONFIG_STATUS
1545 rm -fr confdefs* $ac_clean_files
1546 test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1